<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Edit Employee</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css">
</head>
<body>
<div class="container my-5">
    <h2 class="mb-5">New Employee</h2>
    <div class="row">
        <div class="col-md-6">
            <form action="#" th:action="@{/employee/edit/{id}(id=${employeeDto.id})}" th:object="${employeeDto}" method="post" enctype="multipart/form-data">
                <div class="row">
                    <div class="form-group col-md-6">
                        <label for="firstName" class="col-form-label">First Name</label>
                        <input type="text" th:field="*{firstName}" class="form-control" id="firstName"
                               placeholder="First Name">
                        <span th:if="${#fields.hasErrors('firstName')}" th:errors="*{firstName}"
                              class="text-danger"></span>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="name" class="col-form-label">Name</label>
                        <input type="text" th:field="*{name}" class="form-control" id="name" placeholder="Name">
                        <span th:if="${#fields.hasErrors('name')}" th:errors="*{name}" class="text-danger"></span>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="position" class="col-form-label">position</label>
                        <select class="form-control" th:field="*{position}" id="position">
                            <option th:each="pos : ${positionValues}"
                                    th:value="${pos}"
                                    th:text="${pos}">
                            </option>
                        </select>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="branch" class="col-form-label">Branch</label>
                        <select class="form-control" th:field="*{branch}" id="branch">
                            <option th:each="dept : ${availableBranches}"
                                    th:value="${dept.id}"
                                    th:text="${dept.branchName}">
                            </option>
                        </select>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="file" class="col-form-label">Employee Image</label>
                        <img th:src="*{'data:image/jpeg;base64, ' + image}" height="80">
                        <input  type="file" id="file" name="file" accept="image/jpeg">
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6 mt-5">
                        <input type="submit" class="btn btn-primary" value="Edit employee">
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6 mt-5">
                        <p><a th:href="@{/employee/}" class="btn btn-primary btn-sm">Go Back</a></p>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
</body>
</html>
